NukeBoards - Kreatywność przede wszystkim
FAQFAQ  SzukajSzukaj  UżytkownicyUżytkownicy  DownloadDownload
RejestracjaRejestracja  ZalogujZaloguj

Odpowiedz do tematu
Poprzedni temat :: Następny temat
[Fusion] Android Exporter
Autor Wiadomość
Dumper 
Kapral


Główny edytor: Fusion 2.5
Drugi edytor: Fusion 2.5 Dev
Posty: 34

472 Prestiż
Wysłany: 27-07-2017, 17:26   [Fusion] Android Exporter

Witajcie. Podczas kompilacji aplikacji na androida wyskakuje mi taki błąd.

An error Occured, do you want to read the output file?

Tutaj jest w nim pisze:

Buildfile: C:\Users\user\AppData\Local\Temp\AndC11E.tmp\build.xml

-set-mode-check:

-set-debug-files:

-check-env:
[checkenv] Android SDK Tools Revision 25.2.5
[checkenv] Installed at C:\Program Files (x86)\Android\android-sdk

-setup:
[echo] Project Name: RuntimeAndroid
[gettype] Project Type: Application

-set-debug-mode:

-debug-obfuscation-check:

-pre-build:

-build-setup:
[getbuildtools] Using latest Build Tools: 26.0.1
[echo] Resolving Build Target for RuntimeAndroid...
[gettarget] Project Target: Android 4.0
[gettarget] API level: 14
[echo] ----------
[echo] Creating output directories if needed...
[mkdir] Created dir: C:\Users\user\AppData\Local\Temp\AndC11E.tmp\bin
[mkdir] Created dir: C:\Users\user\AppData\Local\Temp\AndC11E.tmp\bin\res
[mkdir] Created dir: C:\Users\user\AppData\Local\Temp\AndC11E.tmp\bin\rsObj
[mkdir] Created dir: C:\Users\user\AppData\Local\Temp\AndC11E.tmp\bin\rsLibs
[mkdir] Created dir: C:\Users\user\AppData\Local\Temp\AndC11E.tmp\gen
[mkdir] Created dir: C:\Users\user\AppData\Local\Temp\AndC11E.tmp\bin\classes
[mkdir] Created dir: C:\Users\user\AppData\Local\Temp\AndC11E.tmp\bin\dexedLibs
[echo] ----------
[echo] Resolving Dependencies for RuntimeAndroid...
[dependency] Library dependencies:
[dependency] No Libraries
[dependency]
[dependency] ------------------
[dependency] API<=15: Adding annotations.jar to the classpath.
[echo] ----------
[echo] Building Libraries with 'debug'...
[subant] No sub-builds to iterate on

-code-gen:
[mergemanifest] Merging AndroidManifest files into one.
[mergemanifest] Manifest merger disabled. Using project manifest only.
[echo] Handling aidl files...
[aidl] No AIDL files to compile.
[echo] ----------
[echo] Handling RenderScript files...
[echo] ----------
[echo] Handling Resources...
[aapt] Generating resource IDs...
[echo] ----------
[echo] Handling BuildConfig class...
[buildconfig] Generating BuildConfig class.

-pre-compile:

-compile:
[javac] Compiling 370 source files to C:\Users\user\AppData\Local\Temp\AndC11E.tmp\bin\classes
[javac] C:\Users\user\AppData\Local\Temp\AndC11E.tmp\src\Runtime\MMFRuntime.java:1645: warning: non-varargs call of varargs method with inexact argument type for last parameter;
[javac] Method m = c.getDeclaredMethod("disconnect", null);
[javac] ^
[javac] cast to Class<?> for a varargs call
[javac] cast to Class<?>[] for a non-varargs call and to suppress this warning
[javac] C:\Users\user\AppData\Local\Temp\AndC11E.tmp\src\Runtime\MMFRuntime.java:1646: warning: non-varargs call of varargs method with inexact argument type for last parameter;
[javac] Object o = m.invoke(null, null);
[javac] ^
[javac] cast to Object for a varargs call
[javac] cast to Object[] for a non-varargs call and to suppress this warning
[javac] C:\Users\user\AppData\Local\Temp\AndC11E.tmp\src\Runtime\MMFRuntime.java:1660: warning: non-varargs call of varargs method with inexact argument type for last parameter;
[javac] Method m = c.getDeclaredMethod("connect", null);
[javac] ^
[javac] cast to Class<?> for a varargs call
[javac] cast to Class<?>[] for a non-varargs call and to suppress this warning
[javac] C:\Users\user\AppData\Local\Temp\AndC11E.tmp\src\Runtime\MMFRuntime.java:1661: warning: non-varargs call of varargs method with inexact argument type for last parameter;
[javac] Object o = m.invoke(null, null);
[javac] ^
[javac] cast to Object for a varargs call
[javac] cast to Object[] for a non-varargs call and to suppress this warning
[javac] C:\Users\user\AppData\Local\Temp\AndC11E.tmp\src\Runtime\MMFRuntime.java:1675: warning: non-varargs call of varargs method with inexact argument type for last parameter;
[javac] Method m = c.getDeclaredMethod("isConnected", null);
[javac] ^
[javac] cast to Class<?> for a varargs call
[javac] cast to Class<?>[] for a non-varargs call and to suppress this warning
[javac] C:\Users\user\AppData\Local\Temp\AndC11E.tmp\src\Runtime\MMFRuntime.java:1676: warning: non-varargs call of varargs method with inexact argument type for last parameter;
[javac] Object o = m.invoke(null, null);
[javac] ^
[javac] cast to Object for a varargs call
[javac] cast to Object[] for a non-varargs call and to suppress this warning
[javac] Note: Some input files use or override a deprecated API.
[javac] Note: Recompile with -Xlint:deprecation for details.
[javac] Note: Some input files use unchecked or unsafe operations.
[javac] Note: Recompile with -Xlint:unchecked for details.
[javac] 6 warnings

-post-compile:

-obfuscate:

-dex:
[dex] input: C:\Users\user\AppData\Local\Temp\AndC11E.tmp\bin\classes
[dex] input: C:\Program Files (x86)\Android\android-sdk\tools\support\annotations.jar
[dex] input: C:\Users\user\AppData\Local\Temp\AndC11E.tmp\libs\ouya-sdk.jar
[dex] input: C:\Users\user\AppData\Local\Temp\AndC11E.tmp\libs\library.jar
[dex] input: C:\Users\user\AppData\Local\Temp\AndC11E.tmp\libs\notification.jar
[dex] input: C:\Users\user\AppData\Local\Temp\AndC11E.tmp\libs\android-support-v4.jar
[dex] input: C:\Users\user\AppData\Local\Temp\AndC11E.tmp\libs\zip_file.jar
[dex] input: C:\Users\user\AppData\Local\Temp\AndC11E.tmp\libs\gamecontroller.jar
[dex] input: C:\Users\user\AppData\Local\Temp\AndC11E.tmp\libs\downloader_library.jar
[dex] Pre-Dexing C:\Program Files (x86)\Android\android-sdk\tools\support\annotations.jar -> annotations-62bab95d6948a2db17bbc7976160b014.jar
[dx] java.lang.UnsupportedClassVersionError: com/android/dx/command/Main : Unsupported major.minor version 52.0
[dx] at java.lang.ClassLoader.defineClass1(Native Method)
[dx] at java.lang.ClassLoader.defineClass(ClassLoader.java:800)
[dx] at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
[dx] at java.net.URLClassLoader.defineClass(URLClassLoader.java:449)
[dx] at java.net.URLClassLoader.access$100(URLClassLoader.java:71)
[dx] at java.net.URLClassLoader$1.run(URLClassLoader.java:361)
[dx] at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
[dx] at java.security.AccessController.doPrivileged(Native Method)
[dx] at java.net.URLClassLoader.findClass(URLClassLoader.java:354)
[dx] at java.lang.ClassLoader.loadClass(ClassLoader.java:425)
[dx] at java.lang.ClassLoader.loadClass(ClassLoader.java:412)
[dx] at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:308)
[dx] at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
[dx] at sun.launcher.LauncherHelper.checkAndLoadMain(LauncherHelper.java:482)
[dx] Exception in thread "main"

BUILD FAILED
C:\Program Files (x86)\Android\android-sdk\tools\ant\build.xml:888: The following error occurred while executing this line:
C:\Program Files (x86)\Android\android-sdk\tools\ant\build.xml:890: The following error occurred while executing this line:
C:\Program Files (x86)\Android\android-sdk\tools\ant\build.xml:902: The following error occurred while executing this line:
C:\Program Files (x86)\Android\android-sdk\tools\ant\build.xml:283: null returned: 1

Total time: 4 seconds


Co jest nie tak? Zainstalowalem api 14, ustawilem, wszystkie biblioteki które były wymagane, ustawiłem lokalizację Java i Android SDK w general i nadal nic. Ktos coś?
_________________
 
     
Halamix2 
Ahegao


Główny edytor: Fusion 2.5 Dev
Pomógł: 6 razy
Posty: 99

1580 Prestiż
Wysłany: 27-07-2017, 17:42   

Chyba potrzebujesz inną wersję JDK, ( `Unsupported major.minor version 52.0` to JDK 8), pewnie będzie potrzebne JDK 7, inni podpowiedzą jakie konkretnie
_________________
Mój keybase (GPG w środku)
 
     
Dumper 
Kapral


Główny edytor: Fusion 2.5
Drugi edytor: Fusion 2.5 Dev
Posty: 34

472 Prestiż
Wysłany: 27-07-2017, 18:01   

Mam jdk 7 a instalka od jdk 8 się nie otwiera.
_________________
 
     
msg 
Pupogłowy
~~~~~~~~~~~


Główny edytor: KNP
Drugi edytor: KNP
Pomógł: 76 razy
Posty: 1389


39920 Prestiż
Wysłany: 27-07-2017, 18:29   

W google piszą "build tools 23.0.2 with java 1_7_79"
Wygląda, że używasz bardzo niskiego api, spróbuj parę razy podnosząc je sukcesywnie do wartości maksymalnej. W sumie nie widzę, żeby ktoś w końcu wykminił wszystkie działające kombinacje wszystkich ustawień (Android SDK + JDK + API w CFie), a szkoda...

https://stuartspixelgames.com/2016/05/10/how-to-make-android-games-in-fusion/ tu są różne ciekawe pierdoły.
Tu jest mega wątek na ten temat: https://community.clickteam.com/threads/85407-Build-Failed-Things-to-check
Daj znać jak znajdziesz dobrą kombinację ;)
_________________
:razzugly:
 
     
jarlfenrir 
Generał brygady


Główny edytor: Fusion 2.5
Drugi edytor: TGF2
Pomógł: 82 razy
Posty: 1732

37281 Prestiż
Wysłany: 27-07-2017, 19:17   

Halamix2 napisał/a:
Unsupported major.minor version 52.0
Ten błąd wskazuje raczej na to, że masz za stare JDK. Spróbuj zainstalować 8.

[ Dodano: 27-07-2017, 20:18 ]
Dumper napisał/a:
instalka od jdk 8 się nie otwiera.
Skąd ściągasz? Jaki system operacyjny masz?
 
     
Dumper 
Kapral


Główny edytor: Fusion 2.5
Drugi edytor: Fusion 2.5 Dev
Posty: 34

472 Prestiż
Wysłany: 27-07-2017, 20:23   

Wgrałem JDK 8, android tools w wersji r25_2.5, API 20, 22 i 14 i zadziałało, dzięki.
_________________
 
     
Wyświetl posty z ostatnich:   
Odpowiedz do tematu
Nie możesz pisać nowych tematów
Nie możesz odpowiadać w tematach
Nie możesz zmieniać swoich postów
Nie możesz usuwać swoich postów
Nie możesz głosować w ankietach
Nie możesz załączać plików na tym forum
Możesz ściągać załączniki na tym forum
Dodaj temat do Ulubionych
Wersja do druku

Skocz do:  

PSK Cytaty Klikibaza - kopia wszystkich klików Klikipedia - encyklopedia o tworzeniu gier Discord KlikCzat Zaproszenie
Daj piniondza Wielkie Muzeum Klikowe

Powered by phpBB modified by Przemo © 2003 phpBB Group